com.ihr.xbrl.om.table.structural

## Class XBRLTableSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<XBRLStructuralTable>
      - - com.ihr.xbrl.om.table.structural.XBRLTableSet

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<XBRLStructuralTable>, java.util.Collection<XBRLStructuralTable>, java.util.List<XBRLStructuralTable>, java.util.RandomAccess

      public class XBRLTableSet
      extends java.util.Vector<XBRLStructuralTable>

  A table set is a set of one or more tables that share a common definition, parameterized by table parameters.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `XBRLTableSet.EvaluationSet` The Class EvaluationSet.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLTableSet(XBRLTable tableDef, EditorSource editorSource, OpenAspectValueResolver externalResolver)` Instantiates a new XBRL table set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createModel(org.jdom.Element tableModel)` Creates the model.
    `XBRLTable` | `getTableDefinition()` Gets the table definition.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLTableSet

          public XBRLTableSet(XBRLTable tableDef,
                      EditorSource editorSource,
                      OpenAspectValueResolver externalResolver)
                       throws XTValidationException,
                              XFException

      Instantiates a new XBRL table set.
      Parameters:
        `tableDef` - the table def
        `editorSource` - the editor source
        `externalResolver` - the external resolver
      Throws:
        `XTValidationException` - the XT validation exception
        `XFException` - the XF exception

  - ### Method Detail

    - #### getTableDefinition

          public XBRLTable getTableDefinition()

      Gets the table definition.
      Returns:
        the tableDefinition

    - #### createModel

          public void createModel(org.jdom.Element tableModel)
                           throws XTValidationException,
                                  XFException

      Creates the model.
      Parameters:
        `tableModel` - the table model
      Throws:
        `XTValidationException` - the XT validation exception
        `XFException` - the XF exception